use rand::Rng;
use std::io;
use std::process::exit;

fn main() {
    game_loop();
}
fn game_loop() {
    let mut score = 0;
    while score < 32 {
        println!("Dein score ist: {}",score);
        println!("Vor dir sind drei Türen, eine von ihnen tötet dich. Durch welche gehst du? Gib eine Zahl zwischen 1 und 3 ein");
        let secretnumber: i8 = rand::thread_rng().gen_range(1..=3);
        let guess = input();
        let ergebnis = vergleich(guess, secretnumber);
        if ergebnis == false {
            println!(
                "Du hast überlebt, der Geist war hinter der Tür {}",
                secretnumber
            );
            score = score + 1;
        } else {
            println!("Du bist tot");
            println!("Game restarts");
            restart();
            exit(0);
        }
    }
    println!("Du hast gewonnen ");
}
fn input() -> i8 {
    let mut guess = String::new();
    io::stdin()
        .read_line(&mut guess)
        .expect("Failed to read line");
    let guess: i8 = guess.trim().parse().expect("Please type a number!");
    return guess;
}
fn vergleich(guess: i8, secretnumber: i8) -> bool {
    if guess == secretnumber {
        true
    } else {
        false
    }
}
fn restart(){
    game_loop()
}